summaryrefslogtreecommitdiff
path: root/cpp/tests/run-system-tests
diff options
context:
space:
mode:
Diffstat (limited to 'cpp/tests/run-system-tests')
-rwxr-xr-xcpp/tests/run-system-tests38
1 files changed, 38 insertions, 0 deletions
diff --git a/cpp/tests/run-system-tests b/cpp/tests/run-system-tests
new file mode 100755
index 0000000000..5aa0f9a409
--- /dev/null
+++ b/cpp/tests/run-system-tests
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+set -e
+log=`pwd`/qpidd.log
+# Start the daemon, recording its PID.
+../src/qpidd > $log 2>&1 & pid=$!
+
+# Arrange to kill the daemon upon any type of termination.
+trap 'status=$?; kill $pid; exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+# Run C++ client tests.
+run_test() {
+ test="$*"
+ echo -n "Running: $test ... "
+ if $test >test.out 2>&1 ; then
+ echo " Passed" ;
+ else
+ echo " FAILED. Output:";
+ cat test.out
+ FAILED=yes
+ fi
+ rm -f test.out
+}
+
+run_test ./client_test
+run_test ./topictest -l2 -m2 -b1
+
+# Run the python tests.
+if test -d ../../python ; then
+ cd ../../python && ./run-tests -v -I cpp_failing.txt
+else
+ echo Warning: python tests not found.
+fi
+
+# TODO aconway 2006-12-13: run the other client tests.
+
+rm -f $log